Subject: Re: mv problem
From: Randall R Schulz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 03 May 2002 09:20:45 -0700

Hi,

I had to try this out to see how my system behaved. I saw something very 
interesting:

% mkdir yad
% mv yad YaD
mv: cannot copy a directory, `yad', into itself, `YaD/yad'

% find yad
yad
yad/yad

% ll -id YaD
66306041 drwxr-xr-x    3 RSchulz  None            0 May  3 09:08 YaD/

% ll -Ri yad
yad:
total 0
163374368 drwxr-xr-x    2 RSchulz  None            0 May  3 09:08 yad/

yad/yad:
total 0

I get the same behavior, modulo "inode" numbers on an NTFS and a FAT volume.

Miscellaneous system information:

% uname -a
CYGWIN_NT-5.0 CLEMENS 1.3.10(0.51/3/2) 2002-02-25 11:14 i686 unknown

% mv --version
mv (fileutils) 4.1
Written by Mike Parker, David MacKenzie, and Jim Meyering.

Copyright (C) 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

"Cygcheck -s" output is attached. Excerpts here:

...

Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 2

...

SysDir: D:\WINNT\System32
WinDir: D:\WINNT

CYGWIN = `binmode ntsec'

...

a:  fd           N/A    N/A
c:  hd  NTFS   10001Mb  38% CP CS UN PA FC     WIN2K
d:  hd  NTFS   11664Mb  50% CP CS UN PA FC     Win2K2niW
e:  hd  NTFS    4027Mb  94% CP CS UN PA FC     Stash
f:  cd           N/A    N/A
g:  cd  CDFS     647Mb 100%    CS UN           BOOKSHELF2K
h:  hd  FAT32    649Mb   1% CP    UN           BURNME

\\.\A:         /dev/fd0   user    binmode
.              /cygdrive  user    binmode,noumount
D:/cygwin      /          system  binmode
D:/cygwin/bin  /usr/bin   system  binmode
D:/cygwin/lib  /usr/lib   system  binmode

Found: D:\cygwin\bin\bash.exe
Found: D:\cygwin\bin\cat.exe
Found: D:\cygwin\bin\cpp.exe
Found: D:\cygwin\bin\find.exe
Found: D:\cygwin\bin\gcc.exe
Found: D:\cygwin\bin\gdb.exe
Found: D:\cygwin\bin\ld.exe
Found: D:\cygwin\bin\ls.exe
Found: D:\cygwin\bin\make.exe
Found: D:\cygwin\bin\sh.exe

...

     Cygwin DLL version info:
         DLL version: 1.3.10
         DLL epoch: 19
         DLL bad signal mask: 19005
         DLL old termios: 5
         DLL malloc env: 28
         API major: 0
         API minor: 51
         Shared data: 3
         DLL identifier: cygwin1
         Mount registry: 2
         Cygnus registry name: Cygnus Solutions
         Cygwin registry name: Cygwin
         Program options name: Program Options
         Cygwin mount registry name: mounts v2
         Cygdrive flags: cygdrive flags
         Cygdrive prefix: cygdrive prefix
         Cygdrive default prefix:
         Build date: Mon Feb 25 11:14:34 EST 2002
         Shared id: cygwin1S3

...

fileutils           4.1-1

...

--
Randall Schulz
Mountain View, CA USA

At 23:16 2002-05-02, Sylvain Petreolle wrote:

>Hi,
>
>I'm using cygwin version 1.3.10 with all updated packages.
>
>mv --version reports : mv (fileutils) 4.1
>(cygcheck reports exactly fileutils 4.1-1)
>This is reproductible with every directory.
>
>Steps I follow :
>
>mkdir mydir
>mv mydir MyDir (or Mydir, mydiR).
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/